Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.util
Class Upload

    java.lang.Object
      com.fujitsu.iflow.model.util.Upload

public class Upload
extends java.lang.Object

File Upload

Field Summary
`protected ServletContext` | `m_application`
`protected byte[]` | `m_binArray`
`protected HttpServletRequest` | `m_request`
`protected HttpServletResponse` | `m_response`
`static int` | `SAVE_AUTO`
`static int` | `SAVE_PHYSICAL`
`static int` | `SAVE_VIRTUAL`

Constructor Summary
`Upload()`

Method Summary
`byte` | `getBinaryData(int index)`
`UploadFiles` | `getFiles()`
`protected java.lang.String` | `getPhysicalPath(java.lang.String filePathName, int option)`
`UploadRequest` | `getRequest()`
`int` | `getSize()`
`void` | `initialize(PageContext pageContext)`
`void` | `initialize(ServletConfig config, HttpServletRequest request, HttpServletResponse response)`
`int` | `save(java.lang.String destPathName)`
`int` | `save(java.lang.String destPathName, int option)`
`void` | `setAllowedFilesList(java.lang.String allowedFilesList)`
`void` | `setContentDisposition(java.lang.String contentDisposition)`
`void` | `setDeniedFilesList(java.lang.String deniedFilesList)`
`void` | `setDenyPhysicalPath(boolean deny)`
`void` | `setForcePhysicalPath(boolean force)`
`void` | `setMaxFileSize(long maxFileSize)`
`void` | `setTotalMaxFileSize(long totalMaxFileSize)`
`void` | `upload()`
`void` | `uploadInFile(java.lang.String destFilePathName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_binArray

    protected byte[] m_binArray

### m_request

    protected HttpServletRequest m_request

### m_response

    protected HttpServletResponse m_response

### m_application

    protected ServletContext m_application

### SAVE_AUTO

    public static final int SAVE_AUTO

See Also:
  Constant Field Values

### SAVE_VIRTUAL

    public static final int SAVE_VIRTUAL

See Also:
  Constant Field Values

### SAVE_PHYSICAL

    public static final int SAVE_PHYSICAL

See Also:
  Constant Field Values

Constructor Detail

### Upload

    public Upload()

Method Detail

### initialize

    public final void initialize(ServletConfig config,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
                          throws ServletException

  Throws:
    `ServletException`

### initialize

    public final void initialize(PageContext pageContext)
                          throws ServletException

  Throws:
    `ServletException`

### upload

    public void upload()
                throws java.lang.Exception,
                       java.io.IOException,
                       ServletException

  Throws:
    `java.lang.Exception`
    `java.io.IOException`
    `ServletException`

### save

    public int save(java.lang.String destPathName)
             throws java.lang.Exception,
                    java.io.IOException,
                    ServletException

  Throws:
    `java.lang.Exception`
    `java.io.IOException`
    `ServletException`

### save

    public int save(java.lang.String destPathName,
                    int option)
             throws java.lang.Exception,
                    java.io.IOException,
                    ServletException

  Throws:
    `java.lang.Exception`
    `java.io.IOException`
    `ServletException`

### getSize

    public int getSize()

### getBinaryData

    public byte getBinaryData(int index)
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getFiles

    public UploadFiles getFiles()

### getRequest

    public UploadRequest getRequest()

### setDeniedFilesList

    public void setDeniedFilesList(java.lang.String deniedFilesList)
                            throws java.io.IOException,
                                   ServletException

  Throws:
    `java.io.IOException`
    `ServletException`

### setAllowedFilesList

    public void setAllowedFilesList(java.lang.String allowedFilesList)

### setDenyPhysicalPath

    public void setDenyPhysicalPath(boolean deny)

### setForcePhysicalPath

    public void setForcePhysicalPath(boolean force)

### setContentDisposition

    public void setContentDisposition(java.lang.String contentDisposition)

### setTotalMaxFileSize

    public void setTotalMaxFileSize(long totalMaxFileSize)

### setMaxFileSize

    public void setMaxFileSize(long maxFileSize)

### getPhysicalPath

    protected java.lang.String getPhysicalPath(java.lang.String filePathName,
                                               int option)
                                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### uploadInFile

    public void uploadInFile(java.lang.String destFilePathName)
                      throws java.lang.Exception,
                             java.io.IOException

  Throws:
    `java.lang.Exception`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD